use super::element::Element;

#[derive(Debug)]
pub struct PlainList<'s> {
    pub source: &'s str,
    pub children: Vec<PlainListItem<'s>>,
}

#[derive(Debug)]
pub struct PlainListItem<'s> {
    pub source: &'s str,
    pub indentation: usize,
    pub bullet: &'s str,
    pub contents: Vec<Element<'s>>,
}
